package cn.iocoder.yudao.module.system.service.robot;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotModelPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotModelSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotModelDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 车辆类型 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotModelService {

    /**
     * 创建车辆类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createModel(@Valid RobotModelSaveReqVO createReqVO);

    /**
     * 更新车辆类型
     *
     * @param updateReqVO 更新信息
     */
    void updateModel(@Valid RobotModelSaveReqVO updateReqVO);

    /**
     * 删除车辆类型
     *
     * @param id 编号
     */
    void deleteModel(Long id);

    /**
     * 获得车辆类型
     *
     * @param id 编号
     * @return 车辆类型
     */
    RobotModelDO getModel(Long id);

    /**
     * 获得车辆类型分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆类型分页
     */
    PageResult<RobotModelDO> getModelPage(RobotModelPageReqVO pageReqVO);

    List<RobotModelDO> getAllModel();
}